local ADDON, Package = ...

local Kernel = {}

function Kernel.is_table(any) return type(any) == "table" end

function Kernel.is_number(arg) return type(arg) == "number" end

function Kernel.is_string(arg) return type(arg) == "string" end

function Kernel.is_boolean(arg) return type(arg) == "boolean" end

function Kernel.noop() end

function Kernel.dump(...)
  if not IsAddOnLoaded("Blizzard_DebugTools") then
    UIParentLoadAddOn("Blizzard_DebugTools")
  end

  for at = 1, select("#", ...) do
    DevTools_Dump(select(at, ...))
  end
end

Package.Kernel = Kernel
