local ADDON, Package = ...

local function configure()
  local function on_update(self, elapsed)
    self:ClearAllPoints()
    self:SetPoint("BOTTOM", UIErrorsFrame, "TOP", 0, 20)
    self:SetSize(560, 20)
  end

  if TimeAlertFrame and TimeAlertFrameText then
    TimeAlertFrame.glow:SetTexture(nil)
    TimeAlertFrame.CloseButton:Hide()
    TimeAlertFrame:ClearBackdrop()
    TimeAlertFrame:HookScript("OnUpdate", on_update)

    TimeAlertFrameText:SetJustifyH("CENTER")
  end
end

Package.TimeAlert = {
  configure = configure
}
